//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
#include "Unit5.h"
#pragma package(smart_init)
//---------------------------------------------------------------------------

//   Important: Methods and properties of objects in VCL can only be
//   used in a method called using Synchronize, for example:
//
//      Synchronize(&UpdateCaption);
//
//   where UpdateCaption could look like:
//
//      void __fastcall TReadThread::UpdateCaption()
//      {
//        Form1->Caption = "Updated in a thread";
//      }
//---------------------------------------------------------------------------

__fastcall TReadThread::TReadThread(bool CreateSuspended)
	: TThread(CreateSuspended)
{
}
//---------------------------------------------------------------------------
void __fastcall TReadThread::Execute()
{
	while (!Terminated) {
		String s;
		//Form5->IdTCPClient1->IOHandler->DefStringEncoding = System::Sysutils::TEncoding::Unicode;
		if (IdTCPClient1->Connected())
			IdTCPClient1->IOHandler->WriteLn(L"yes",System::Sysutils::TEncoding::Unicode);
		if (IdTCPClient1->Connected())
			s = IdTCPClient1->IOHandler->ReadLn(System::Sysutils::TEncoding::Unicode);
		if (s.Length()==0) {
			s= "No buffer read";
		} else {
			Form5->Memo1->Lines->Add(s);
		}
	}


}
//---------------------------------------------------------------------------
